<?php

if ( ! defined( 'ABSPATH' ) ) exit;

class WooCommerce_Shipmate_Orders_Metabox {
	protected $PROPERTY;

	public function __construct($PROPERTY)
	{
		$this->PROPERTY = $PROPERTY;
	}
	




	/**
	 * Output the metabox.
	 *
	 * @param WP_Post $post
	 */
	public static function output() {
		$shipmate_api_service = new WooCommerce_Shipmate_Service();

		$packaging_options = array();

		$response = $shipmate_api_service->packaging_option();

		if($response->http_code() == 200) {
			$packaging_options = $response->data();
		}


		$shipmate_services = array();

	
		$response = $shipmate_api_service->services();

		if($response->http_code() == 200) {
			$shipmate_services = $response->data();
		}
		
		include_once( dirname( __FILE__ ) . '/views/html-admin-orders-shipmate.php' );
	}

	/**
	 * Save meta box data.
	 *
	 * @param int $post_id
	 * @param WP_Post $post
	 */
	public static function save( $post_id, $post ) {
	
	}
}
