<?php

if ( ! defined( 'ABSPATH' ) ) exit;

class WooCommerce_Shipmate_API_Response {
	protected $http_code;
	protected $data;

	public function __construct($http_code, $data) {
		$this->http_code = $http_code;
		$this->data = json_decode($data);
	}

	public function http_code() {
		return $this->http_code;
	}

	public function message() {
		return $this->data->message;
	}

	public function data() {

		return $this->data->data;
	}
}